import { flags } from '@oclif/command';
import { BinaryEncoding, default as EncodeTools } from '@etomon/encode-tools/lib/EncodeTools';
import EncodeToolsBase from "./EncodeToolsBase";
export declare type BufferEncodeFlags = {
    format: BinaryEncoding;
};
export declare const EncodingFlags: {
    format: flags.IOptionFlag<BinaryEncoding>;
};
export default class EncodeBuffer extends EncodeToolsBase {
    static description: string;
    static example: string;
    static flags: {
        args: flags.IOptionFlag<string[]>;
        format: flags.IOptionFlag<BinaryEncoding>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
        default: string;
    }[];
    protected encoder(flags: BufferEncodeFlags): EncodeTools;
    run(): Promise<void>;
}
