import { flags } from '@oclif/command';
import { default as EncodeTools, ImageFormat } from '@etomon/encode-tools/lib/EncodeTools';
import EncodeToolsBase from "./EncodeToolsBase";
import { ImageFlags } from "./convertImage";
export default class ResizeImage extends EncodeToolsBase {
    static description: string;
    static example: string;
    static flags: {
        args: flags.IOptionFlag<string[]>;
        height: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        width: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        format: flags.IOptionFlag<import("@etomon/encode-tools/lib/EncodeTools").BinaryEncoding>;
        imageFormat: flags.IOptionFlag<ImageFormat>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
        default: string;
    }[];
    protected encoder(flags: ImageFlags): EncodeTools;
    run(): Promise<void>;
}
