import { flags } from '@oclif/command';
import { default as EncodeTools, IDFormat } from '@etomon/encode-tools/lib/EncodeTools';
import EncodeToolsBase from "./EncodeToolsBase";
import { BufferEncodeFlags } from "./encodeBuffer";
export declare type UniqueIdFlags = BufferEncodeFlags & {
    idFormat: IDFormat;
};
export default class UniqueId extends EncodeToolsBase {
    static description: string;
    static example: string;
    static flags: {
        args: flags.IOptionFlag<string[]>;
        format: flags.IOptionFlag<import("@etomon/encode-tools/lib/EncodeTools").BinaryEncoding>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        idFormat: flags.IOptionFlag<IDFormat>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
        default: string;
    }[];
    protected encoder(flags: UniqueIdFlags): EncodeTools;
    run(): Promise<void>;
}
